Get details for the devices at a location. This includes POS terminal and handheld devices, and printers.
Successful operation
Missing or invalid restaurant header.
Unauthorized.
Forbidden.
Too many requests.
An unexpected error occurred.
curl -i -X GET \ https://toast-api-server/device-details/v1/device-info \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Toast-Restaurant-External-ID: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
[- {
- "deviceModel": "TT200",
- "deviceModelName": "Toast Terminal",
- "serialNumber": "cb5f9ea",
- "deviceType": "POS",
- "posDeviceInfo": {
- "posType": "TERMINAL",
- "deviceName": "string",
- "deviceId": "4f49a8734eb214d0",
- "lastSyncedAt": "2025-04-01T12:00:00.000Z",
- "primaryMode": "string",
- "orderAutofireEnabled": true,
- "pciCompliant": true,
- "pciNonComplianceReason": "string",
- "ipAddress": "string",
- "ipType": "DHCP",
- "macAddress": "string",
- "networkName": "string",
- "networkConnectionType": "WIFI",
- "deviceUptimeMillis": 0,
- "posAppVersion": "4.3.1",
- "firmwareVersion": "string",
- "androidOsVersion": "14.0",
- "androidOsSdkLevel": 34,
- "securityPatchVersion": "string"
}, - "printerDeviceInfo": {
- "deviceName": "string",
- "lastSyncedAt": "2019-08-24T14:15:22Z",
- "firmwareVersion": "string",
- "ipAddress": "string",
- "ipType": "DHCP",
- "macAddress": "string",
- "gatewayAddress": "string",
- "netmaskAddress": "string",
- "printerPort": "string"
}
}
]